[mtd-utils,10/11] tests: ubifs_repair: Add run_all script
Commit Message
Add run_all script to run all UBIFS repair testcases.
Signed-off-by: Zhihao Cheng <chengzhihao1@huawei.com>
---
.gitignore | 1 +
configure.ac | 1 +
tests/ubifs_repair-tests/Makemodule.am | 1 +
.../ubifs_repair-tests/ubifs_repair_run_all.sh.in | 59 ++++++++++++++++++++++
4 files changed, 62 insertions(+)
create mode 100755 tests/ubifs_repair-tests/ubifs_repair_run_all.sh.in
@@ -113,6 +113,7 @@ tests/fs-tests/stress/fs_stress01.sh
tests/ubi-tests/runubitests.sh
tests/ubi-tests/ubi-stress-test.sh
tests/ubifs_repair-tests/lib/common.sh
+tests/ubifs_repair-tests/ubifs_repair_run_all.sh
tests/ubifs_repair-tests/tests/authentication_refuse.sh
tests/ubifs_repair-tests/tests/cycle_mount_repair_check.sh
tests/ubifs_repair-tests/tests/powercut_repair_mount.sh
@@ -356,6 +356,7 @@ AC_CONFIG_FILES([tests/fs-tests/fs_help_all.sh
tests/ubi-tests/runubitests.sh
tests/ubi-tests/ubi-stress-test.sh
tests/ubifs_repair-tests/lib/common.sh
+ tests/ubifs_repair-tests/ubifs_repair_run_all.sh
tests/ubifs_repair-tests/tests/authentication_refuse.sh
tests/ubifs_repair-tests/tests/cycle_mount_repair_check.sh
tests/ubifs_repair-tests/tests/powercut_repair_mount.sh
@@ -1,5 +1,6 @@
test_SCRIPTS += \
tests/ubifs_repair-tests/lib/common.sh \
+ tests/ubifs_repair-tests/ubifs_repair_run_all.sh \
tests/ubifs_repair-tests/tests/authentication_refuse.sh \
tests/ubifs_repair-tests/tests/cycle_mount_repair_check.sh \
tests/ubifs_repair-tests/tests/powercut_repair_mount.sh \
new file mode 100755
@@ -0,0 +1,59 @@
+#!/bin/sh
+# Copyright (c), 2023-2024, Huawei Technologies Co, Ltd.
+# Author: Zhihao Cheng <chengzhihao1@huawei.com>
+#
+# Test Description:
+# Run all testcases under 'tests' directory
+
+function print_line()
+{
+ echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
+ echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
+}
+
+TESTBINDIR=@TESTBINDIR@
+
+print_line
+$TESTBINDIR/authentication_refuse.sh
+if [[ $? != 0 ]]; then
+ echo "authentication_refuse failed"
+ exit 1
+fi
+print_line
+$TESTBINDIR/powercut_repair_mount.sh
+if [[ $? != 0 ]]; then
+ echo "powercut_repair_mount failed"
+ exit 1
+fi
+print_line
+$TESTBINDIR/cycle_corrupted_repair_fault_inject.sh
+if [[ $? != 0 ]]; then
+ echo "cycle_corrupted_repair_fault_inject failed"
+ exit 1
+fi
+print_line
+$TESTBINDIR/repair_bad_image.sh
+if [[ $? != 0 ]]; then
+ echo "repair_bad_image failed"
+ exit 1
+fi
+print_line
+$TESTBINDIR/random_corrupted_repair.sh
+if [[ $? != 0 ]]; then
+ echo "random_corrupted_repair failed"
+ exit 1
+fi
+print_line
+$TESTBINDIR/cycle_powercut_mount_repair.sh
+if [[ $? != 0 ]]; then
+ echo "cycle_powercut_mount_repair failed"
+ exit 1
+fi
+print_line
+$TESTBINDIR/cycle_mount_repair_check.sh
+if [[ $? != 0 ]]; then
+ echo "cycle_mount_repair_check failed"
+ exit 1
+fi
+
+exit 0